%--------------------------------------------------------------
%--- Define global variables used in COBRA analysis.
%--- 
%--- Edit according to your own needs (rename file if necesary).
%--- If this file is renamed, give the new name (+path) to COBRA
%--- at the MATLAB command-line invokation.
%--------------------------------------------------------------

global TRUE;                 TRUE                 = 1;
global FALSE;                FALSE                = 0;

%--------------------------------------------------------------
%--- COBRA parameters
%--------------------------------------------------------------

%--- Parameters related to previous processing steps or scanning procedures:
% scanning parameters:
global RET_STIM_CYCLES;      RET_STIM_CYCLES      = 10;
global RET_BLANKS;           RET_BLANKS           = [1:8];

% preprocess parameters:
global PREPROC_BLUR_KERNEL;  PREPROC_BLUR_KERNEL  = 6;

%--- other descriptive stats:
global KEEP_INDIVIDUAL_MAPS; KEEP_INDIVIDUAL_MAPS = FALSE;
global GET_TMAP;             GET_TMAP             = FALSE; %very slow!
global GET_VISUAL_QUADRANTS; GET_VISUAL_QUADRANTS = FALSE; % only accurate with accurate Q_BORDER_SHIFT
global Q_BORDER_SHIFT;       Q_BORDER_SHIFT       = 0.361;
global GET_GRADIENT_MAP;     GET_GRADIENT_MAP     = FALSE;
global GET_SECOND_DERS;      GET_SECOND_DERS      = FALSE; % not
% incorperated yet

%--- COBRA Parameters ([] =  estimate from data, not always supported though):

% derivative parameters
global DERIVATIVES_KERNEL;   DERIVATIVES_KERNEL   = 3;
global ANAT_DER_KERNEL;      ANAT_DER_KERNEL      = 3;
global SMOOTH_DERIVATIVES;   SMOOTH_DERIVATIVES   = TRUE;
global WEIGHT_DERIVATIVES;   WEIGHT_DERIVATIVES   = TRUE;
global NUMBER_PHASE_SHIFTS;  NUMBER_PHASE_SHIFTS  = 3;
global ADD;                  ADD                  = TRUE;
global RET_FAST_METH;        RET_FAST_METH        = FALSE; % a lot less
% accurate and not supported anymore

% resample parameters if other than anatomy file(=[])
global RET_LIKE_FILE;        RET_LIKE_FILE        = []; 

% thresholding parameters
global RET_INT_THRESH;       RET_INT_THRESH       = 0;
global RET_FFT_THRESH;       RET_FFT_THRESH       = 0;
global GRAD_THRESH;          GRAD_THRESH          = 0;
global FFT_MAG_THRESH;       FFT_MAG_THRESH       = RET_FFT_THRESH;

%--------------------------------------------------------------
%--- no effect on functioning of the algorithm
%--------------------------------------------------------------

global RET_TMP_DIR;          RET_TMP_DIR          = pwd;
global RET_TMP_SUBDIR;       RET_TMP_SUBDIR       = RET_TMP_DIR;
global CUR_DIR;              CUR_DIR              = pwd;
global KEEP_TMP;             KEEP_TMP             = TRUE;

%--------------------------------------------------------------
%--- end
%--------------------------------------------------------------


